Name:           libsigrokdecode
Version:        0.4.0
Release:        0%{?dist}
Summary:        Basic API for running protocol decoders
# Combined GPLv3+ and GPLv2+
License:        GPLv3+
URL:            http://www.sigrok.org
Source0:        %{url}/download/source/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  glib2-devel
BuildRequires:  python3-devel
BuildRequires:  doxygen
BuildRequires:  graphviz

%description
%{name} is a shared library written in C which provides the basic API
for running sigrok protocol decoders. The protocol decoders themselves
are written in Python.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# libsigrokdecode.h includes <Python.h>
Requires:       python3-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Group:          Documentation
Summary:        API documentation for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation for developing software
using %{name}.

# Turn off the brp-python-bytecompile script
# The python files are designed to work with a python module that only exists
# when called from libsigrokdecode. Trying to bytecompile them will break our
# build
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

%prep
%setup -q


%build
%configure --disable-static 
V=1 make %{?_smp_mflags}

# This builds documentation for the -doc package
doxygen Doxyfile


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README NEWS COPYING
%{_libdir}/libsigrokdecode.so.3*
%{_datadir}/libsigrokdecode/


%files devel
%{_includedir}/libsigrokdecode/
%{_libdir}/libsigrokdecode.so
%{_libdir}/pkgconfig/libsigrokdecode.pc

%files doc
%doc doxy/html-api/

%changelog
* Sat Feb 06 2016 Alexandru Gagniuc <mr.nuke.me@gmail.com> - 0.4.0-0
- Update to libsigrokdecode 0.4.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Jul 13 2015 Dan Horák <dan[at]danny.cz> - 0.3.1-1
- updated to 0.3.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jul 27 2014 Alexandru Gagniuc <mr.nuke.me@gmail.com> - 0.3.0-1
- Update to libsigrokdecode-0.3.0 release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
